Name:          rhash
Version:       1.3.6
Release:       2mamba
Summary:       Great utility for computing hash sums
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sf.net/p/rhash/
## GITSOURCE https://github.com/rhash/RHash.git v1.3.6
Source:        https://github.com/rhash/RHash.git/v%{version}/RHash-%{version}.tar.bz2
License:       MIT, BSD, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Great utility for computing hash sums.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n RHash-%{version}

%build
./configure \
   --sysconfdir=%{_sysconfdir} \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --mandir=%{_mandir}

%make build-shared lib-static

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall install-lib-shared install-lib-static
  
ln -s librhash.so.0 %{buildroot}%{_libdir}/librhash.so

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/rhashrc
%{_bindir}/ed2k-link
%{_bindir}/edonr256-hash
%{_bindir}/edonr512-hash
%{_bindir}/gost-hash
%{_bindir}/has160-hash
%{_bindir}/magnet-link
%{_bindir}/rhash
%{_bindir}/sfv-hash
%{_bindir}/tiger-hash
%{_bindir}/tth-hash
%{_bindir}/whirlpool-hash
%{_mandir}/man1/ed2k-link.1*
%{_mandir}/man1/edonr256-hash.1*
%{_mandir}/man1/edonr512-hash.1*
%{_mandir}/man1/gost-hash.1*
%{_mandir}/man1/has160-hash.1*
%{_mandir}/man1/magnet-link.1*
%{_mandir}/man1/rhash.1*
%{_mandir}/man1/sfv-hash.1*
%{_mandir}/man1/tiger-hash.1*
%{_mandir}/man1/tth-hash.1*
%{_mandir}/man1/whirlpool-hash.1*
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/librhash.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/rhash.h
%{_includedir}/rhash_torrent.h
%{_libdir}/librhash.a
%{_libdir}/librhash.so
%doc ChangeLog README

%changelog
* Sat Aug 04 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.6-2mamba
- fix headers installation

* Fri Aug 03 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.6-1mamba
- package created using the webbuild interface
